GROUPMOD(8)

NOME
groupmod - modifica la definizione di un gruppo del sistema

SINOSSI

groupmod [opzioni] GRUPPO

DESCRIZIONE

Il comando groupmod cambia la definizione del GRUPPO modificando appropriatamente il database dei gruppi.

OPZIONI

Il comando groupmod accetta le seguenti opzioni:

"-g, --gidGID
    Verrà modificato l'ID del GRUPPO in GID.

    Il valore GID deve essere un numero intero decimale non negativo. Deve essere univoco, a meno che non venga usata l'opzione -o.

    Gli utenti che hanno il gruppo come gruppo primario verranno aggiornati per mantenere tale gruppo come loro gruppo primario.

    Tutti i file che hanno il vecchio ID di gruppo e devono continuare ad appartenere a GRUPPO, devono essere aggiornati manualmente.

    Non verrà effettuato nessun controllo riguardo i limiti GID_MIN, GID_MAX, SYS_GID_MIN o SYS_GID_MAX definiti in /etc/login.defs.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-n, --new-nameNUOVO_GRUPPO
    Il nome del gruppo verrà modificato da GRUPPO a NUOVO_GRUPPO.

-o, --non-unique
    Quando è usato con l'opzione -g, permette di cambiare il GID in un valore non univoco.

-p, --passwordPASSWORD
    La passwird cifrata, così come viene restituita da crypt(3).

    Nota: questa opzione non è consigliata perché la password (o password cifrata) sarà visibile agli utenti che elencano i processi.

    Ci si deve accertare che la password rispetti le norme delle password del sistema.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/login.defs
    Configurazione del pacchetto password shadow

/etc/passwd
    Informazioni sugli account utente.

VALORI RESTITUITI

Il comando groupmod esce con i seguenti valori:

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), login.defs(5), useradd(8), userdel(8), usermod(8).